<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@E000=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@F004=0B</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo">
    <script state="on">
      <action>temp0 =maincpu.pb@F008</action>
    </script>
    <script state="run">
      <action condition="(frame % 300 == 0) AND (maincpu.pb@F008!=temp0 )">maincpu.pb@F008=70</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@E532=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="54" step="1"/>
    <script state="change">
      <action condition="maincpu.pb@E000==00">maincpu.pb@E000=01</action>
      <action condition="(param LE 31)">maincpu.pb@C500=param+3</action>
      <action condition="(param GE 32)">maincpu.pb@C600=param-32</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
